%define name	usync 
%define version	3.8.4
%define release	%mkrel 3

%define title       Usync
%define longtitle   Synchronise hosts

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Graphical user interface front-end for rsync 
Source0:	http://cui.unige.ch/~harms/%{name}-%{version}.tar.bz2 
License:	GPL
URL:		http://cui.unige.ch/~harms
Group:		Networking/File transfer
Requires:	tcl >= 8.4
Requires:	tk >= 8.4
Requires:	expect >= 8.4
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}

%description
Usync is a GUI frontend for the UNIX rsync utility: it pilots the transfer 
of a user-selected set of files / directories between locations on local host 
or between a local host and a server.

The GUI hides the quite complicated command-line interface of rsync and 
automates the generation of the "filter file" needed for control of rsync. 
This makes the full power of rsync available to the average user. It offers 
some added value like logging of rsync actions to a log file and an enhanced 
presentation of the list of files obtained by a "dry-run" to help reduce the 
risk of false manipulations.

%prep
%setup -q

%build

%install 
rm -rf %{buildroot}
install -d -m 755 %{buildroot}%{_datadir}/%{name}/library
install -m 655 *.tcl %{buildroot}%{_datadir}/%{name}
install -m 644 library/*.tcl %{buildroot}%{_datadir}/%{name}/library
install -m 644 library/*.xbm %{buildroot}%{_datadir}/%{name}/library
install -m 644 library/app-defaults %{buildroot}%{_datadir}/%{name}/library
install -d -m 755 %{buildroot}%{_bindir}
ln -s %{_datadir}/%{name}/main.tcl %{buildroot}%{_bindir}/%{name}
install -d -m 755 %{buildroot}%{_datadir}/%{name}/help
install -m 644 help/*.hlp %{buildroot}%{_datadir}/%{name}/help

install -d -m 755 %{buildroot}%_miconsdir/
install -d -m 755 %{buildroot}%_iconsdir/
install -d -m 755 %{buildroot}%_liconsdir/
install icons/16x16.png %{buildroot}%{_miconsdir}/%{name}.png
install icons/32x32.png %{buildroot}%{_iconsdir}/%{name}.png
install icons/48x48.png %{buildroot}%{_liconsdir}/%{name}.png

install -d -m 755 %{buildroot}%{_menudir}
cat << EOF > %{buildroot}%{_menudir}/%{name}
?package(%{name}): \
    command="/usr/bin/%{name}" \
    icon="%{name}.png" \
    needs="X11" \
    section="Internet/File Transfer" \
    title="%{title}" \
    longtitle="%{longtitle}" \
    xdg="true"
EOF

install -d -m 755 %{buildroot}%{_datadir}/applications
cat >  %{buildroot}%{_datadir}/applications/mandriva-%{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=%{title}
Comment=%{longtitle}
Exec=%{_bindir}/%{name}
Icon=%{name}
Terminal=false
Type=Application
StartupNotify=false
Categories=X-MandrivaLinux-Internet-FileTransfer;Network;FileTransfer;
EOF

%post
%{update_menus}

%postun
%{clean_menus} 

%clean 
rm -rf %{buildroot}

%files 
%defattr(-,root,root)
%doc README CHANGES Xresources SAMPLE.usyncrc
%{_datadir}/%{name}
%{_bindir}/%{name}
%{_menudir}/%{name}
%{_datadir}/applications/mandriva-%{name}.desktop
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png

%changelog
* Tue Aug 29 2006 Guillaume Rousse <guillomovitch@mandriva.org> 3.8.4-3mdv2007.0
- xdg menu

* Tue Mar 07 2006 Guillaume Rousse <guillomovitch@mandriva.org> 3.8.4-2mdk
- mv file to %{_datadir}/%{name}, as they are noarch
- remove useless code from %%postun
- fix group

* Tue Mar 07 2006 Guillaume Rousse <guillomovitch@mandriva.org> 3.8.4 -1mdk
- contributed by Juergen Harms <juergen.harms@cui.unige.ch>
